org.apache.tinkerpop.gremlin.server.handler

## Enum AbstractSession.CloseReason

- java.lang.Object
- - java.lang.Enum<AbstractSession.CloseReason>
  - - org.apache.tinkerpop.gremlin.server.handler.AbstractSession.CloseReason

- All Implemented Interfaces:
    Serializable, Comparable<AbstractSession.CloseReason>
  Enclosing class:
    AbstractSession

      protected static enum AbstractSession.CloseReason
      extends Enum<AbstractSession.CloseReason>

  The reason that a particular session closed. The reason for the close is generally not important as a final disposition for the `Session` instance and is more useful in aiding flow control during the close process.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHANNEL_CLOSED` The session was interrupted by the channel closing, which can be something initiated by closing the `Client` or might be triggered by the server.
    `EXIT_PROCESSING` The session exits in a fashion that did not precipitate from some form of interruption, timeout or exception, i.e.
    `PROCESSING_EXCEPTION` The session encountered an exception related to execution like a script error, traversal iteration problem, serialization issue, etc.
    `REQUEST_TIMEOUT` The session was interrupted by the request timeout.
    `SESSION_TIMEOUT` The session was interrupted by the session lifetime timeout.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractSession.CloseReason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractSession.CloseReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXIT_PROCESSING

          public static final AbstractSession.CloseReason EXIT_PROCESSING

      The session exits in a fashion that did not precipitate from some form of interruption, timeout or exception, i.e. it is simply allowed to process to an exit through its normal execution flow. This status may or may not be possible given the context of the implementation. For example, a `MultiTaskSession` needs to be interrupted to stop processing.

    - #### CHANNEL_CLOSED

          public static final AbstractSession.CloseReason CHANNEL_CLOSED

      The session was interrupted by the channel closing, which can be something initiated by closing the `Client` or might be triggered by the server. This may not be considered an error situation and depending on context, might be similar to a `EXIT_PROCESSING` termination.

    - #### PROCESSING_EXCEPTION

          public static final AbstractSession.CloseReason PROCESSING_EXCEPTION

      The session encountered an exception related to execution like a script error, traversal iteration problem, serialization issue, etc.

    - #### SESSION_TIMEOUT

          public static final AbstractSession.CloseReason SESSION_TIMEOUT

      The session was interrupted by the session lifetime timeout.

    - #### REQUEST_TIMEOUT

          public static final AbstractSession.CloseReason REQUEST_TIMEOUT

      The session was interrupted by the request timeout.

  - ### Method Detail

    - #### values

          public static AbstractSession.CloseReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractSession.CloseReason c : AbstractSession.CloseReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractSession.CloseReason valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.